000032767 - RSA Via Lifecycle and Governance 7.0 upgrade or reinstall fails with an error that it could not find matching ASM Kernel drivers on Red Hat systems

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000032767
Applies ToRSA Product Set: RSA Via Lifecycle and Governance 7.0
RSA Version/ Condition: 6.9.1, 7.0
RSA Product/Service Type/Platform: Hardware Appliance
RSA Operating System:  Red Hat 5 update 11
IssueWhen attempting to upgrade to RSA Lifecycle and Governance 7.0 on a hardware appliance running Red Hat 5 update 11 the following error displays:
 

cp: cannot stat `1': No such file or directory could not find matching ASM Kernel drivers for 2.6.18-406.el5 in /tmp/asmlib/ Step failed! 
See /tmp/aveksa-install.log

CauseThe cause of this failure is that the 7.0 upgrade uninstalls the current version of Oracle 11 including the corresponding ASM rpm that is required and the 7.0 media does not contain the ASMLIB rpm that is required for the Red Hat 5 update 11 kernel version.
If an attempt is made on this host again to perform a fresh installation of the 7.0 software, the same error will occur.
The hardware appliance updater did have the correct ASM rpm which is why the system was functioning prior to the upgrade attempt.
ResolutionThere is a defect (ACM-61693) open to have this package added to the L&G 7.0 installation media.
 

 



 
Workaround

Here are steps that can be taken to perform a re-installation or to fix an upgrade's installation files prior to installing:
1.  Download the required oracleasm rpm for 5.11 from Oracle using this URL.
2.  Copy the oracleasm-2.6.18-406.el5-2.0.5-1.el5.x86_64.rpm to /tmp/aveksa.
3.  Run the following commands to integrate it into our installer:


cd /tmp/aveksa/packages
bzip2 -d asmlib-008_x64.tar.bz2
tar uvf asmlib-008_x64.tar ../oracleasm-2.6.18-406.el5-2.0.5-1.el5.x86_64.rpm
bzip2 asmlib-008_x64.tar

4.  This results in a asmlib-008_x64.tar.bz2 that includes oracleasm-2.6.18-406.el5-2.0.5-1.el5.x86_64.rpm.
5.  The upgrade or re-installation on Red Hat 5 update 11 will now find the required package and will install it and move forward in the installation.
 

Attachments

    Outcomes